from django.contrib.auth.views import LoginView, LogoutView, PasswordChangeView
from django.urls import path, reverse_lazy

from accounts.views import RegisterView

app_name = "accounts"

urlpatterns = [
    path("account/login/", LoginView.as_view(), name="login"),
    path("account/logout/", LogoutView.as_view(), name="logout"),
    path("account/registration/", RegisterView.as_view(), name="register"),
    path("account/<int:pk>/change_password", PasswordChangeView.as_view(success_url=reverse_lazy('accounts:password_change_done')), name="password_change_done"),
]
