from django.contrib.auth import get_user_model, login
from django.shortcuts import redirect
from django.urls import reverse_lazy
from django.views.generic import CreateView

from accounts.forms import RegistrationForm


class RegisterView(CreateView):
    model = get_user_model()
    template_name = 'registration/register.html'
    form_class = RegistrationForm
    success_url = reverse_lazy('webapp:index')

    def form_valid(self, form):
        user = form.save()
        login(self.request, user)
        return redirect("webapp:index")

